%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           rednotebook
Version:        0.9.0
Release:        1%{?dist}
Summary:        A desktop diary

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://rednotebook.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)     
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  desktop-file-utils

Requires:       PyYAML
Requires:       pygtk2
Requires:       gnome-python2-extras
Requires:       hicolor-icon-theme


%description
RedNotebook is a desktop diary that makes it very easy for you
to keep track of the stuff you do and the thoughts you have. This
journal software helps you to write whole passages or just facts,
and does so in style.


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG LICENSE README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info


%changelog
* Fri Dec 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.0-1
- Update to 0.9.0

* Thu Nov 19 2009 Fabian Affolter <fabian@bernewireless.net> - 0.8.9-2
- Updated the URL after a request from the upstream maintainer

* Wed Nov 18 2009 Fabian Affolter <fabian@bernewireless.net> - 0.8.9-1
- Updated to new upstream version 0.8.9

* Thu Sep 17 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.6.1-1
- Update to 0.8.6.1, fixes #523880

* Thu Sep 17 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.6-2
- Fix libglade error with GTK 2.16.6 (#523880)

* Fri Sep 04 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.6-1
- Updated to new upstream version 0.8.6

* Fri Aug 14 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.5-1
- Updated to new upstream version 0.8.5 (fixes #518778)

* Fri Aug 14 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.4-1
- Updated to new upstream version 0.8.4

* Fri Aug 07 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.3-1
- Updated to new upstream version 0.8.3

* Wed Jul 29 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.2-1
- Updated to new upstream version 0.8.2

* Sat Jul 25 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.1-1
- Updated to new upstream version 0.8.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Fabian Affolter <fabian@bernewireless.net> - 0.8.0-1
- Updated BR python
- Icon cache update added
- Updated to new upstream version 0.8.0

* Wed Jul 15 2009 Fabian Affolter <fabian@bernewireless.net> - 0.7.6-1
- Updated to new upstream version 0.7.6

* Mon Jul 06 2009 Fabian Affolter <fabian@bernewireless.net> - 0.7.5-1
- Removed the shebang stuff, upstream changed this
- Updated to new upstream version 0.7.5

* Mon Jun 29 2009 Fabian Affolter <fabian@bernewireless.net> - 0.7.4-1
- Moved the removing of the shebang to prep section
- Updated to new upstream version 0.7.4

* Thu May 26 2009 Fabian Affolter <fabian@bernewireless.net> - 0.7.2-1
- Updated to new upstream version 0.7.2

* Wed May 06 2009 Fabian Affolter <fabian@bernewireless.net> - 0.7.1-1
- Updated to new upstream version 0.7.1

* Wed May 06 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.9-1
- Updated to new upstream version 0.6.9

* Sun May 03 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.8-1
- Updated to new upstream version 0.6.8

* Tue Apr 21 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.7-1
- Updated to new upstream version 0.6.7

* Tue Apr 07 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.6-1
- Updated to new upstream version 0.6.6

* Fri Apr 03 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.5-1
- Updated to new upstream version 0.6.5

* Wed Mar 18 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.2-1
- Added hicolor-icon-theme as a requirement
- Added icons directory
- Updated to new upstream version 0.6.2

* Sat Mar 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.1-1
- Updated to new upstream version 0.6.1
- Renamed docs, added License file

* Thu Feb 12 2009 Fabian Affolter <fabian@bernewireless.net> - 0.5.5-1
- Updated to new upstream version 0.5.5

* Sat Jan 24 2009 Fabian Affolter <fabian@bernewireless.net> - 0.5.2-1
- Updated to new upstream version 0.5.2

* Sat Jan 24 2009 Fabian Affolter <fabian@bernewireless.net> - 0.5.1-1
- Initial package for Fedora

